Page MenuHomePhabricator

Show total number of (auto)blocks to Special:AutoblockList and Special:BlockList
Closed, ResolvedPublic2 Story Points

Description

The new Special page is very useful, but there is no way to get the total number of autoblocks without adjusting the "Items per page" and counting. The total tells us if any particular blocks spiraled out of control and caused too many autoblocks, or more recently, gauging potential collateral damage of the new cookie block feature.

We may wish to make the same change to Special:Block, showing both the total number of blocks and the number of autoblocks. The
autoblocks number could then link to Special:AutoblockList.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2017, 12:25 AM
MusikAnimal renamed this task from Add total number of autoblocks to Special:AutoblockList and possibly Special:BlockList to Add total number of autoblocks to Special:AutoblockList.Apr 18 2017, 12:26 AM
MusikAnimal moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
MusikAnimal updated the task description. (Show Details)
MusikAnimal renamed this task from Add total number of autoblocks to Special:AutoblockList to Add total number of (auto)blocks to Special:AutoblockList and Special:BlockList.Apr 18 2017, 12:29 AM
MusikAnimal renamed this task from Add total number of (auto)blocks to Special:AutoblockList and Special:BlockList to Show total number of (auto)blocks to Special:AutoblockList and Special:BlockList.
MusikAnimal updated the task description. (Show Details)
kaldari triaged this task as High priority.Apr 18 2017, 11:32 PM
kaldari set the point value for this task to 2.
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Niharika claimed this task.May 11 2017, 9:52 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

@kaldari, what do you think of the 'Number of blocks' count? I'm not convinced that it's going to be useful to anyone. Here's my conversation with Leon about it earlier:

20:21:52 N<Niharika> musikanimal: And do we want the total number of blocks or not? It's mentioned in the ticket.
20:21:53 M<musikanimal> yeah total number of blocks + autoblocks at the top of Special:BlockList
20:22:26 N<Niharika> musikanimal: Is that number useful?
20:22:36 M<musikanimal> that one is more just for fun, to be honest
20:22:48 M<musikanimal> there were always a be a lot of active blocks
20:23:17 M<musikanimal> not really important, I just recommended it to be consistent with Special:AutoblockList
20:23:36 N<Niharika> musikanimal: Yeah, its very very high apparently. I'm wondering if we're just adding more cruft to the software.
20:24:00 N<Niharika> Okay, let's see what kaldari has to say to this. I'll add this convo to the ticket.
20:24:13 M<musikanimal> eh, maybe, for enwiki it's pretty much a useless number, but probably not so for smaller wikis

This number is going to be somewhere around half million on enwiki.

Also, Special:BlockList lets you search usernames and do some filtering so the number we show will have to reflect that filtering as well which makes it significantly more complicated that the autoblock count.

Yeah, I don't see any reason we need to have total block count on Special:BlockList. It's only really useful on Special:AutoblockList. Let's just add it there and not to both.

Change 355805 had a related patch set uploaded (by Niharika29; owner: Niharika Kohli):
[mediawiki/core@master] Show total number of autoblocks on top of Special:AutoblockList

https://gerrit.wikimedia.org/r/355805

Change 355805 merged by jenkins-bot:
[mediawiki/core@master] Show total number of autoblocks on top of Special:AutoblockList

https://gerrit.wikimedia.org/r/355805

kaldari closed this task as Resolved.May 30 2017, 9:10 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
kaldari moved this task from Estimated to Archive on the Community-Tech board.Jun 6 2017, 11:04 PM